# $Id: tinycobol.spec,v 1.1 2003/02/08 14:33:25 bitwalk Exp $

Summary:       COBOL compiler.
Name:          tinycobol
Version:       0.61
Release:       1
Source0:       http://download.sourceforge.net/tiny-cobol/tinycobol-%{version}.tar.bz2
Patch0:		tinycobol-%{version}.DESTDIR.diff
Group:         Development/Languages
Copyright:     GPL, LGPL
URL:           http://tiny-cobol.sourceforge.net/
Buildroot:     %{_tmppath}/%{name}%{version}-buildroot/
Provides:      htcobol
Requires:      db-devel
BuildRequires: perl, db-devel

# Packager:      Fuhito Suguri <bitwalk@jcom.home.ne.jp>
# Vendor:        bitWalk Co., Ltd.

Packager:	Matthias G. Eckermann <mge@suse.de>
Distribution:	SuSE SLES-9 (i586) Addon

%description
TinyCOBOL is a COBOL 85 compiler. 
Generates GNU i386 assembler and requires the GNU assembler and linker to create an executable for the Linux, FreeBSD, Win32, BeOS IA32 platform.

%description -l ja
TinyCOBOL, htcobolϡCOBOL 85˽򤷤IA32ƥѤCOBOLѥǤ

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%patch0 -p 1

%build
# perl -pi -e 's|-ldb-4|-ldb-4\.0|g' configure
./configure --prefix=%{_prefix}

make

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

cd info
perl -pi -e 's|INSTMAN1=\$\{prefix\}/man/man1|INSTMAN1=%{buildroot}%{_mandir}/man1|' Makefile
cd ..

%makeinstall DESTDIR=${RPM_BUILD_ROOT}
ln -sf libhtcobol.so.%{version}.0 ${RPM_BUILD_ROOT}%{_libdir}/libhtcobol.so
ln -sf libhtcobol.so.%{version}.0 ${RPM_BUILD_ROOT}%{_libdir}/libhtcobol.so.0

%files
%defattr (-,root,root)
%doc ANNOUNCE AUTHORS BUGS CHANGES COPYING COPYING.LIB COPYRIGHT ChangeLog
%doc HISTORY INSTALL INSTALL.bin README STATUS TODO tinycobol.lsm
%{_bindir}/*
%{_libdir}/*
%{_datadir}/htcobol
%{_mandir}/man1

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog

* Sat Feb 08 2003 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	0.60-1
- Update to version 0.60.
- This package is for RH80 with gcc3.2.

* Wed Oct 23 2002 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	0.59-1
- Update to version 0.59.

* Tue Jun 04 2002 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	0.58-1
- Update to version 0.58.
- Switch compiler from egcs to gcc-2.96.

* Tue Feb 26 2002 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	0.57-2bw
- Add information for project's URL.

* Tue Feb 26 2002 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	0.57-1
- Update to version 0.57.

* Thu Feb 21 2002 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	13bw
- Apply kgcc/egcs inplace of gcc-2,96 to complie..

* Thu Feb 14 2002 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	12bw
- Update to version 0.56.

* Sat Nov 17 2001 Fuhito Suguri <bitwalk@nyc.odn.ne.jp>	11bw
- applied new patch which enables gcc-2.96.

* Sat Nov 10 2001 Fuhito Suguri <bitwalk@nyc.odn.ne.jp>	10bw
- applied new configure eliminating -O2 option at CCXFLAGS.

* Sat Nov 04 2001 Fuhito Suguri <bitwalk@nyc.odn.ne.jp>	9bw
- apply more improved configre.in made by David Essex.
- add utils to include into RPM.

* Sat Nov 03 2001 Fuhito Suguri <bitwalk@nyc.odn.ne.jp>	8bw
- apply improved configre.in made by David Essex.
- add description in Japanese.

* Mon Oct 29 2001 Fuhito Suguri <bitwalk@nyc.odn.ne.jp>
- Update to version 0.55.

* Mon Oct 22 2001 Fuhito Suguri <bitwalk@nyc.odn.ne.jp>
- modify configure.in so as to find db_185.h.

* Mon Oct 1 2001 Fuhito Suguri <bitwalk@nyc.odn.ne.jp>
- modify compiler to egcs in place of gcc-2.96 for RH7.1.

* Sun Sep 2 2001 Fuhito Suguri <bitwalk@nyc.odn.ne.jp>
- add post and postnumsequences for doing ldconfig.

* Sat Jul 14 2001 Fuhito Suguri <bitwalk@nyc.odn.ne.jp>
- add sequence to modify /usr/local to /usr prior to compile.

* Wed Jul 11 2001 Fuhito Suguri <bitwalk@nyc.odn.ne.jp>
- Update to version 0.54.

* Wed Jun 06 2001 Fuhito Suguri <bitwalk@nyc.odn.ne.jp>
- write new spec for tiny-cobol 0.53.
